KinoSearch1::Search::SearchClient(3pm)

Make a remote procedure call. For every call that does not close/terminate the socket connection, expect a response back that's been serialized using Storable.

NAME
KinoSearch1::Search::SearchClient - connect to a remote SearchServer

SYNOPSIS
    my $client = KinoSearch1::Search::SearchClient->new(
        peer_address => 'searchserver1:7890',
        password     => $pass,
        analyzer     => $analyzer,
    );
    my $hits = $client->search( query => $query );

DESCRIPTION
SearchClient is a subclass of KinoSearch1::Searcher which can be used to search an index on a remote machine made accessible via SearchServer.

METHODS

  new
Constructor. Takes hash-style params.

•   peer_address - The name/IP and the port number which the client should attempt to connect to.

•   password - Password to be supplied to the SearchServer when initializing socket connection.

•   analyzer - An object belonging to a subclass of KinoSearch1::Analysis::Analyzer

LIMITATIONS
Limiting search results with a QueryFilter is not yet supported.

COPYRIGHT
Copyright 2006-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.